Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Portage problems (seems might be my package.keywords)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
Skirmitch
Tux's lil' helper
Tux's lil' helper


Joined: 15 Jun 2013
Posts: 82

PostPosted: Fri Aug 23, 2013 1:36 am    Post subject: Portage problems (seems might be my package.keywords) Reply with quote

Hey guys, when updating i get this huge thing and dunno how to fix it perm.

Code:
!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/glib:2

  (dev-libs/glib-2.36.3::gentoo, installed) pulled in by
    >=dev-libs/glib-2.36.1:2 required by (dev-cpp/glibmm-2.36.2::gentoo, installed)
    (and 33 more with the same problem)

  (dev-libs/glib-2.32.4-r1::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

x11-libs/cairo:0

  (x11-libs/cairo-1.10.2-r3::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (x11-libs/cairo-1.12.14-r2::gentoo, installed) pulled in by
    >=x11-libs/cairo-1.12.10:0/0=[X] required by (x11-libs/pango-1.34.1::gentoo, installed)
    (and 1 more with the same problem)

net-fs/samba:0

  (net-fs/samba-3.6.15::gentoo, installed) pulled in by
    >=net-fs/samba-3.6.14-r1[smbclient] required by (gnome-base/gnome-control-center-3.8.3::gentoo, ebuild scheduled for merge)

  (net-fs/samba-3.6.12::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

x11-libs/gtk+:3

  (x11-libs/gtk+-3.8.2::gentoo, installed) pulled in by
    >=x11-libs/gtk+-3.8.0:3[aqua?,wayland?,X?] required by (dev-cpp/gtkmm-3.8.1::gentoo, installed)
    (and 22 more with the same problem)

  (x11-libs/gtk+-3.4.4::gentoo, ebuild scheduled for merge) pulled in by
    <x11-libs/gtk+-3.5:3 required by (x11-themes/gnome-themes-standard-3.4.2::gentoo, ebuild scheduled for merge)

gnome-base/dconf:0

  (gnome-base/dconf-0.16.0::gentoo, installed) pulled in by
    >=gnome-base/dconf-0.16.0 required by (gnome-base/gnome-core-libs-3.8.0::gentoo, installed)
    (and 1 more with the same problem)

  (gnome-base/dconf-0.12.1::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

dev-python/pygobject:3

  (dev-python/pygobject-3.8.2::gentoo, installed) pulled in by
    >=dev-python/pygobject-3.8.0:3 required by (gnome-base/gnome-core-libs-3.8.0::gentoo, installed)

  (dev-python/pygobject-3.2.2-r1::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

x11-themes/gnome-themes-standard:0

  (x11-themes/gnome-themes-standard-3.4.2::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (x11-themes/gnome-themes-standard-3.8.1::gentoo, installed) pulled in by
    >=x11-themes/gnome-themes-standard-3.8.0 required by (gnome-base/gnome-core-apps-3.8.0::gentoo, installed)

dev-libs/libgee:0.8

  (dev-libs/libgee-0.10.1::gentoo, installed) pulled in by
    >=dev-libs/libgee-0.10:0.8 required by (gnome-extra/gnome-contacts-3.8.2::gentoo, installed)
    (and 1 more with the same problem)

  (dev-libs/libgee-0.8.4::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

dev-libs/folks:0

  (dev-libs/folks-0.8.0::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (dev-libs/folks-0.9.2::gentoo, installed) pulled in by
    >=dev-libs/folks-0.9.0:0/25=[telepathy] required by (net-im/empathy-3.8.3::gentoo, installed)
    (and 1 more with the same problem)

dev-libs/libpeas:0

  (dev-libs/libpeas-1.8.0::gentoo, installed) pulled in by
    >=dev-libs/libpeas-1.7.0[gtk] required by (app-editors/gedit-3.8.2::gentoo, installed)

  (dev-libs/libpeas-1.6.2-r1::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.
Back to top
View user's profile Send private message
kurly
Apprentice
Apprentice


Joined: 02 Apr 2012
Posts: 164

PostPosted: Fri Aug 23, 2013 2:02 am    Post subject: Reply with quote

You suggested it could be your package.keywords (which is now called package.accept_keywords), but I do not see where you included any information that could lead to that assumption. More information is required. Start with emerge --info, continue with more information (such as what command you were running that led to the partial output you did give us).
Back to top
View user's profile Send private message
Skirmitch
Tux's lil' helper
Tux's lil' helper


Joined: 15 Jun 2013
Posts: 82

PostPosted: Wed Aug 28, 2013 6:06 pm    Post subject: Reply with quote

Ok, sorry i omitted the info and sorry i'm so late in answering. The command i use is emerge -up world --deep --newuse and the output before that (before what i pasted) is here:
http://bpaste.net/show/127188/

Gnome doesnt let me open the layout thing to change the layout of the keyboard (never had that problem before) as well so i really want to run an update to start searching where that problem might be, i still cant use my "new" install of gentoo properly becouse of this =(. Any help is appreciated
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum